Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 485252 (CVE-2013-1824) - <dev-lang/php-{5.3.22,5.4.12}: XML Expansion (CVE-2013-1824)
Summary: <dev-lang/php-{5.3.22,5.4.12}: XML Expansion (CVE-2013-1824)
Status: RESOLVED FIXED
Alias: CVE-2013-1824
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A4 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-17 23:00 UTC by GLSAMaker/CVETool Bot
Modified: 2014-08-31 11:26 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2013-09-17 23:00:16 UTC
CVE-2013-1824 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-1824):
  The SOAP parser in PHP before 5.3.22 and 5.4.x before 5.4.12 allows remote
  attackers to read arbitrary files via a SOAP WSDL file containing an XML
  external entity declaration in conjunction with an entity reference, related
  to an XML External Entity (XXE) issue in the soap_xmlParseFile and
  soap_xmlParseMemory functions.


If bug 459904 gets a GLSA, this should too.
Comment 1 Chris Reffett gentoo-dev Security 2013-09-25 14:31:35 UTC
Added to existing GLSA request.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2014-08-31 10:49:53 UTC
This issue was resolved and addressed in
 GLSA 201408-11 at http://security.gentoo.org/glsa/glsa-201408-11.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2014-08-31 11:26:40 UTC
This issue was resolved and addressed in
 GLSA 201408-11 at http://security.gentoo.org/glsa/glsa-201408-11.xml
by GLSA coordinator Kristian Fiskerstrand (K_F).